latticeParseFormula {lattice} | R Documentation

## Parse Trellis formula

### Description

this function is used in trellis functions. Might be useful by itself. `y` and `g_1,...,g_n` may be missing.

### Usage

    latticeParseFormula(model, data, dimension = 2)

### Arguments

`model` | the model/formula to be parsed. This can be in either of two possible forms, one for 2d and one for 3d formulas, determined by the `dimension` argument. The 2d formulas are of the form `y~x|g_1*...*g_n`, and the 3d formulas are of the form `z~x*y|g_1*...*g_n`. In the first form, `y` may be omitted. The conditioning variables `g_1, ...,g_n` can be omitted in either case.
`data` | the environment/dataset where the variables in the formula are evaluated. By default, the environment where the function was called from.
`dimension` | dimension of the model, see above

### Value

returns a list with components `left, right, left.name, right.name, condition` for 2d, and `left, right.x, right.y, left.name, right.x.name, right.y.name, condition` for 3d.

### Author(s)

Saikat DebRoy saikat@stat.wisc.edu

### See Also

`xyplot`, `Lattice`

[Package Contents]